void requestTemperature(DeviceAddress deviceAddress)
{
  // DS18B20 display
  sensors.requestTemperatures(); // Send the command to get temperatures
  
  tempWasser = sensors.getTempC(wasserThermometer);
  tempRaum = sensors.getTempC(raumThermometer);
  

}


String printDouble(double value, byte nachkomma)
{
  String sReturn;

  sReturn = String(int(value));
  if( nachkomma > 0) 
  {
    sReturn += ".";
    unsigned long frac;
    unsigned long mult = 1;
    byte padding = nachkomma -1;
    while(nachkomma--)
      mult *=10;

    if(value >= 0)
      frac = (value - int(value)) * mult;
    else
      frac = (int(value)- value ) * mult;

    unsigned long frac1 = frac;
    while( frac1 /= 10 )
      padding--;

    while(padding--)
      sReturn += "0";

    sReturn += frac;
  }
  return sReturn;
}

int get_key(unsigned int input)
{
  int k;
  for (k = 0; k < NUM_KEYS; k++)
  {
    if (input < adc_key_val[k])
      return k;
  }

  if (k >= NUM_KEYS)
    k = -1;

  return k;
}


//int kalibrieren (long  time, int Kalibrierwert, int Dosiermenge, long Dosierzeit)
int kalibrieren ( int Kalibrierwert, int Dosiermenge, long Dosierzeit )
{
  
  Dosierzeit = ( Dosiermenge * 60 ) / Kalibrierwert;
  return Dosierzeit;
}

/*|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||  D E F I N E  :  B U Z Z E R |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||*/
void buzz(int targetPin, long frequency, long length) {
  long delayValue = 1000000/frequency/2; // calculate the delay value between transitions
  //// 1 second's worth of microseconds, divided by the frequency, then split in half since
  //// there are two phases to each cycle
  long numCycles = frequency * length/ 1000; // calculate the number of cycles for proper timing
  //// multiply frequency, which is really cycles per second, by the number of seconds to 
  //// get the total number of cycles to produce
 for (long i=0; i < numCycles; i++){ // for the calculated length of time...
    digitalWrite(targetPin,HIGH); // write the buzzer pin high to push out the diaphram
    delayMicroseconds(delayValue); // wait for the calculated delay value
    digitalWrite(targetPin,LOW); // write the buzzer pin low to pull back the diaphram
    delayMicroseconds(delayValue); // wait againf or the calculated delay value
  }
}

void requestEEPROM( )
{

  if (EEPROM.readInt(0) != 1)
    {
      rtc.setDOW(SATURDAY);
      rtc.setTime(13, 30, 0);
      rtc.setDate(7, 9, 2013);
  
      //WRITING
      //Dosierer 1
      Dosiermanuell_1 = EEPROM.writeByte(10,0); //false;
      Kalibrierung1 = EEPROM.writeInt(11,100); //ml pro Minute
      Dosiernachfuell_1 = EEPROM.writeByte(13,0); //false;
      Dosiermenge1 = EEPROM.writeLong(14, 2); //ml zu dosierende Menge
      Dosierung1_1.hour = EEPROM.writeInt(17,10); //EEPROM.writeInt(Adresse = 10,Wert = 10 Uhr);
      Dosierung1_1.min = EEPROM.writeInt(19,00);
      Dosierung1_2.hour = EEPROM.writeInt(21,00); 
      Dosierung1_2.min = EEPROM.writeInt(23,00);
      Dosierung1_3.hour = EEPROM.writeInt(25,00); 
      Dosierung1_3.min = EEPROM.writeInt(27,00);
      Dosierung1_4.hour = EEPROM.writeInt(29,00); 
      Dosierung1_4.min = EEPROM.writeInt(31,00);
      Dosierung1_5.hour = EEPROM.writeInt(33,00); 
      Dosierung1_5.min = EEPROM.writeInt(35,00);
      Dosierung1_6.hour = EEPROM.writeInt(37,00); 
      Dosierung1_6.min = EEPROM.writeInt(39,00);
      Dosierung1_7.hour = EEPROM.writeInt(41,00); 
      Dosierung1_7.min = EEPROM.writeInt(43,00);
      Dosierung1_8.hour = EEPROM.writeInt(45,00); 
      Dosierung1_8.min = EEPROM.writeInt(47,00);
      Dosierung1_9.hour = EEPROM.writeInt(49,00); 
      Dosierung1_9.min = EEPROM.writeInt(51,00);
      Dosierung1_10.hour = EEPROM.writeInt(53,00); 
      Dosierung1_10.min = EEPROM.writeInt(55,00);
  
      //Dosierer 2
      Dosiermanuell_2 = EEPROM.writeByte(57,0); //false;
      Kalibrierung2 = EEPROM.writeInt(58,100); //ml pro Minute
      Dosiernachfuell_2 = EEPROM.writeByte(60,0); //false;
      Dosiermenge2 = EEPROM.writeLong(61, 2); //ml zu dosierende Menge
      Dosierung2_1.hour = EEPROM.writeInt(64,10); //EEPROM.writeInt(Adresse = 10,Wert = 10 Uhr);
      Dosierung2_1.min = EEPROM.writeInt(66,00);
      Dosierung2_2.hour = EEPROM.writeInt(68,00); 
      Dosierung2_2.min = EEPROM.writeInt(70,00);
      Dosierung2_3.hour = EEPROM.writeInt(72,00); 
      Dosierung2_3.min = EEPROM.writeInt(74,00);
      Dosierung2_4.hour = EEPROM.writeInt(76,00); 
      Dosierung2_4.min = EEPROM.writeInt(78,00);
      Dosierung2_5.hour = EEPROM.writeInt(80,00); 
      Dosierung2_5.min = EEPROM.writeInt(82,00);
      Dosierung2_6.hour = EEPROM.writeInt(84,00); 
      Dosierung2_6.min = EEPROM.writeInt(86,00);
      Dosierung2_7.hour = EEPROM.writeInt(88,00); 
      Dosierung2_7.min = EEPROM.writeInt(90,00);
      Dosierung2_8.hour = EEPROM.writeInt(92,00); 
      Dosierung2_8.min = EEPROM.writeInt(94,00);
      Dosierung2_9.hour = EEPROM.writeInt(96,00); 
      Dosierung2_9.min = EEPROM.writeInt(98,00);
      Dosierung2_10.hour = EEPROM.writeInt(100,00); 
      Dosierung2_10.min = EEPROM.writeInt(102,00);
  
      //Dosierer 3
      Dosiermanuell_3 = EEPROM.writeByte(104,0); //false;
      Kalibrierung3 = EEPROM.writeInt(105,100); //ml pro Minute
      Dosiernachfuell_3 = EEPROM.writeByte(107,0); //false;
      Dosiermenge3 = EEPROM.writeLong(108, 2); //ml zu dosierende Menge
      Dosierung3_1.hour = EEPROM.writeInt(111,10); //EEPROM.writeInt(Adresse = 10,Wert = 10 Uhr);
      Dosierung3_1.min = EEPROM.writeInt(113,00);
      Dosierung3_2.hour = EEPROM.writeInt(114,00); 
      Dosierung3_2.min = EEPROM.writeInt(117,00);
      Dosierung3_3.hour = EEPROM.writeInt(119,00); 
      Dosierung3_3.min = EEPROM.writeInt(121,00);
      Dosierung3_4.hour = EEPROM.writeInt(123,00); 
      Dosierung3_4.min = EEPROM.writeInt(125,00);
      Dosierung3_5.hour = EEPROM.writeInt(127,00); 
      Dosierung3_5.min = EEPROM.writeInt(129,00);
      Dosierung3_6.hour = EEPROM.writeInt(131,00); 
      Dosierung3_6.min = EEPROM.writeInt(133,00);
      Dosierung3_7.hour = EEPROM.writeInt(135,00); 
      Dosierung3_7.min = EEPROM.writeInt(137,00);
      Dosierung3_8.hour = EEPROM.writeInt(139,00); 
      Dosierung3_8.min = EEPROM.writeInt(141,00);
      Dosierung3_9.hour = EEPROM.writeInt(143,00); 
      Dosierung3_9.min = EEPROM.writeInt(145,00);
      Dosierung3_10.hour = EEPROM.writeInt(147,00); 
      Dosierung3_10.min = EEPROM.writeInt(149,00);
  
      //Dosierer 4
      Dosiermanuell_4 = EEPROM.writeByte(151,0); //false;
      Kalibrierung4 = EEPROM.writeInt(152,100); //ml pro Minute
      Dosiernachfuell_4 = EEPROM.writeByte(154,0); //false;
      Dosiermenge4 = EEPROM.writeLong(155, 2); //ml zu dosierende Menge
      Dosierung4_1.hour = EEPROM.writeInt(158,10); //EEPROM.writeInt(Adresse = 10,Wert = 10 Uhr);
      Dosierung4_1.min = EEPROM.writeInt(160,00);
      Dosierung4_2.hour = EEPROM.writeInt(162,00); 
      Dosierung4_2.min = EEPROM.writeInt(164,00);
      Dosierung4_3.hour = EEPROM.writeInt(166,00); 
      Dosierung4_3.min = EEPROM.writeInt(168,00);
      Dosierung4_4.hour = EEPROM.writeInt(170,00); 
      Dosierung4_4.min = EEPROM.writeInt(172,00);
      Dosierung4_5.hour = EEPROM.writeInt(174,00); 
      Dosierung4_5.min = EEPROM.writeInt(176,00);
      Dosierung4_6.hour = EEPROM.writeInt(178,00); 
      Dosierung4_6.min = EEPROM.writeInt(180,00);
      Dosierung4_7.hour = EEPROM.writeInt(182,00); 
      Dosierung4_7.min = EEPROM.writeInt(184,00);
      Dosierung4_8.hour = EEPROM.writeInt(186,00); 
      Dosierung4_8.min = EEPROM.writeInt(188,00);
      Dosierung4_9.hour = EEPROM.writeInt(190,00); 
      Dosierung4_9.min = EEPROM.writeInt(192,00);
      Dosierung4_10.hour = EEPROM.writeInt(194,00); 
      Dosierung4_10.min = EEPROM.writeInt(196,00);
      
      /////////////////////////////////////////////////////////////////// N E U    H I N Z U G E F U E G T E    D O S I E R Z E I T E N ///////////////////////////////////////////////////////////////////////////////////////////////////
      Dosierung1_11.hour = EEPROM.writeInt(198,00); 
      Dosierung1_11.min = EEPROM.writeInt(200,00);
      
      Dosierung1_12.hour = EEPROM.writeInt(202,00); 
      Dosierung1_12.min = EEPROM.writeInt(204,00);
      
      Dosierung2_11.hour = EEPROM.writeInt(206,00); 
      Dosierung2_11.min = EEPROM.writeInt(208,00);
      
      Dosierung2_12.hour = EEPROM.writeInt(210,00); 
      Dosierung2_12.min = EEPROM.writeInt(212,00);
      
      Dosierung3_11.hour = EEPROM.writeInt(214,00); 
      Dosierung3_11.min = EEPROM.writeInt(216,00);
      
      Dosierung3_12.hour = EEPROM.writeInt(218,00); 
      Dosierung3_12.min = EEPROM.writeInt(220,00);
      
      Dosierung4_11.hour = EEPROM.writeInt(222,00); 
      Dosierung4_11.min = EEPROM.writeInt(224,00);
      
      Dosierung4_12.hour = EEPROM.writeInt(226,00); 
      Dosierung4_12.min = EEPROM.writeInt(228,00);
      /////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
  
  
      //READING
      //Dosierer 1
      Dosiermanuell_1 = EEPROM.readByte(10);
      Kalibrierung1 = EEPROM.readInt(11);
      Dosiernachfuell_1 = EEPROM.readByte(13);
      Dosiermenge1 = EEPROM.readLong(14);
      Dosierung1_1.hour = EEPROM.readInt(17);
      Dosierung1_1.min = EEPROM.readInt(19);
      Dosierung1_2.hour = EEPROM.readInt(21); 
      Dosierung1_2.min = EEPROM.readInt(23);
      Dosierung1_3.hour = EEPROM.readInt(25); 
      Dosierung1_3.min = EEPROM.readInt(27);
      Dosierung1_4.hour = EEPROM.readInt(29); 
      Dosierung1_4.min = EEPROM.readInt(31);
      Dosierung1_5.hour = EEPROM.readInt(33); 
      Dosierung1_5.min = EEPROM.readInt(35);
      Dosierung1_6.hour = EEPROM.readInt(37); 
      Dosierung1_6.min = EEPROM.readInt(39);
      Dosierung1_7.hour = EEPROM.readInt(41); 
      Dosierung1_7.min = EEPROM.readInt(43);
      Dosierung1_8.hour = EEPROM.readInt(45); 
      Dosierung1_8.min = EEPROM.readInt(47);
      Dosierung1_9.hour = EEPROM.readInt(49); 
      Dosierung1_9.min = EEPROM.readInt(51);
      Dosierung1_10.hour = EEPROM.readInt(53); 
      Dosierung1_10.min = EEPROM.readInt(55);
  
      //Dosierer 2
      Dosiermanuell_2 = EEPROM.readByte(57);
      Kalibrierung2 = EEPROM.readInt(58);
      Dosiernachfuell_2 = EEPROM.readByte(60);
      Dosiermenge2 = EEPROM.readLong(61);
      Dosierung2_1.hour = EEPROM.readInt(64);
      Dosierung2_1.min = EEPROM.readInt(66);
      Dosierung2_2.hour = EEPROM.readInt(68); 
      Dosierung2_2.min = EEPROM.readInt(70);
      Dosierung2_3.hour = EEPROM.readInt(72); 
      Dosierung2_3.min = EEPROM.readInt(74);
      Dosierung2_4.hour = EEPROM.readInt(76); 
      Dosierung2_4.min = EEPROM.readInt(78);
      Dosierung2_5.hour = EEPROM.readInt(80); 
      Dosierung2_5.min = EEPROM.readInt(82);
      Dosierung2_6.hour = EEPROM.readInt(84); 
      Dosierung2_6.min = EEPROM.readInt(86);
      Dosierung2_7.hour = EEPROM.readInt(88); 
      Dosierung2_7.min = EEPROM.readInt(90);
      Dosierung2_8.hour = EEPROM.readInt(92); 
      Dosierung2_8.min = EEPROM.readInt(94);
      Dosierung2_9.hour = EEPROM.readInt(96); 
      Dosierung2_9.min = EEPROM.readInt(98);
      Dosierung2_10.hour = EEPROM.readInt(100); 
      Dosierung2_10.min = EEPROM.readInt(102);
  
      //Dosierer 3
      Dosiermanuell_3 = EEPROM.readByte(104);
      Kalibrierung3 = EEPROM.readInt(105);
      Dosiernachfuell_3 = EEPROM.readByte(107);
      Dosiermenge3 = EEPROM.readLong(108);
      Dosierung3_1.hour = EEPROM.readInt(111);
      Dosierung3_1.min = EEPROM.readInt(113);
      Dosierung3_2.hour = EEPROM.readInt(114); 
      Dosierung3_2.min = EEPROM.readInt(117);
      Dosierung3_3.hour = EEPROM.readInt(119); 
      Dosierung3_3.min = EEPROM.readInt(121);
      Dosierung3_4.hour = EEPROM.readInt(123); 
      Dosierung3_4.min = EEPROM.readInt(125);
      Dosierung3_5.hour = EEPROM.readInt(127); 
      Dosierung3_5.min = EEPROM.readInt(129);
      Dosierung3_6.hour = EEPROM.readInt(131); 
      Dosierung3_6.min = EEPROM.readInt(133);
      Dosierung3_7.hour = EEPROM.readInt(135); 
      Dosierung3_7.min = EEPROM.readInt(137);
      Dosierung3_8.hour = EEPROM.readInt(139); 
      Dosierung3_8.min = EEPROM.readInt(141);
      Dosierung3_9.hour = EEPROM.readInt(143); 
      Dosierung3_9.min = EEPROM.readInt(145);
      Dosierung3_10.hour = EEPROM.readInt(147); 
      Dosierung3_10.min = EEPROM.readInt(149);
  
      //Dosierer 4
      Dosiermanuell_4 = EEPROM.readByte(151);
      Kalibrierung4 = EEPROM.readInt(152);
      Dosiernachfuell_4 = EEPROM.readByte(154);
      Dosiermenge4 = EEPROM.readLong(155);
      Dosierung4_1.hour = EEPROM.readInt(158);
      Dosierung4_1.min = EEPROM.readInt(160);
      Dosierung4_2.hour = EEPROM.readInt(162); 
      Dosierung4_2.min = EEPROM.readInt(164);
      Dosierung4_3.hour = EEPROM.readInt(166); 
      Dosierung4_3.min = EEPROM.readInt(168);
      Dosierung4_4.hour = EEPROM.readInt(170); 
      Dosierung4_4.min = EEPROM.readInt(172);
      Dosierung4_5.hour = EEPROM.readInt(174); 
      Dosierung4_5.min = EEPROM.readInt(176);
      Dosierung4_6.hour = EEPROM.readInt(178); 
      Dosierung4_6.min = EEPROM.readInt(180);
      Dosierung4_7.hour = EEPROM.readInt(182); 
      Dosierung4_7.min = EEPROM.readInt(184);
      Dosierung4_8.hour = EEPROM.readInt(186); 
      Dosierung4_8.min = EEPROM.readInt(188);
      Dosierung4_9.hour = EEPROM.readInt(190); 
      Dosierung4_9.min = EEPROM.readInt(192);
      Dosierung4_10.hour = EEPROM.readInt(194); 
      Dosierung4_10.min = EEPROM.readInt(196);
      
      /////////////////////////////////////////////////////////////////// N E U    H I N Z U G E F U E G T E    D O S I E R Z E I T E N ///////////////////////////////////////////////////////////////////////////////////////////////////
      Dosierung1_11.hour = EEPROM.readInt(198); 
      Dosierung1_11.min = EEPROM.readInt(200);
      Dosierung1_12.hour = EEPROM.readInt(202); 
      Dosierung1_12.min = EEPROM.readInt(204);
      
      Dosierung2_11.hour = EEPROM.readInt(206); 
      Dosierung2_11.min = EEPROM.readInt(208);
      Dosierung2_12.hour = EEPROM.readInt(210); 
      Dosierung2_12.min = EEPROM.readInt(212);
      
      Dosierung3_11.hour = EEPROM.readInt(214); 
      Dosierung3_11.min = EEPROM.readInt(216);
      Dosierung3_12.hour = EEPROM.readInt(218); 
      Dosierung3_12.min = EEPROM.readInt(220);
      
      Dosierung4_11.hour = EEPROM.readInt(222); 
      Dosierung4_11.min = EEPROM.readInt(224);
      Dosierung4_12.hour = EEPROM.readInt(226); 
      Dosierung4_12.min = EEPROM.readInt(228);
      /////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
  
      EEPROM.writeInt(0,1);
    }
  
    else
    { 
      //Dosierer 1
      Dosiermanuell_1 = EEPROM.readByte(10);
      Kalibrierung1 = EEPROM.readInt(11);
      Dosiernachfuell_1 = EEPROM.readByte(13);
      Dosiermenge1 = EEPROM.readLong(14);
      Dosierung1_1.hour = EEPROM.readInt(17);
      Dosierung1_1.min = EEPROM.readInt(19);
      Dosierung1_2.hour = EEPROM.readInt(21); 
      Dosierung1_2.min = EEPROM.readInt(23);
      Dosierung1_3.hour = EEPROM.readInt(25); 
      Dosierung1_3.min = EEPROM.readInt(27);
      Dosierung1_4.hour = EEPROM.readInt(29); 
      Dosierung1_4.min = EEPROM.readInt(31);
      Dosierung1_5.hour = EEPROM.readInt(33); 
      Dosierung1_5.min = EEPROM.readInt(35);
      Dosierung1_6.hour = EEPROM.readInt(37); 
      Dosierung1_6.min = EEPROM.readInt(39);
      Dosierung1_7.hour = EEPROM.readInt(41); 
      Dosierung1_7.min = EEPROM.readInt(43);
      Dosierung1_8.hour = EEPROM.readInt(45); 
      Dosierung1_8.min = EEPROM.readInt(47);
      Dosierung1_9.hour = EEPROM.readInt(49); 
      Dosierung1_9.min = EEPROM.readInt(51);
      Dosierung1_10.hour = EEPROM.readInt(53); 
      Dosierung1_10.min = EEPROM.readInt(55);
  
      //Dosierer 2
      Dosiermanuell_2 = EEPROM.readByte(57);
      Kalibrierung2 = EEPROM.readInt(58);
      Dosiernachfuell_2 = EEPROM.readByte(60);
      Dosiermenge2 = EEPROM.readLong(61);
      Dosierung2_1.hour = EEPROM.readInt(64);
      Dosierung2_1.min = EEPROM.readInt(66);
      Dosierung2_2.hour = EEPROM.readInt(68); 
      Dosierung2_2.min = EEPROM.readInt(70);
      Dosierung2_3.hour = EEPROM.readInt(72); 
      Dosierung2_3.min = EEPROM.readInt(74);
      Dosierung2_4.hour = EEPROM.readInt(76); 
      Dosierung2_4.min = EEPROM.readInt(78);
      Dosierung2_5.hour = EEPROM.readInt(80); 
      Dosierung2_5.min = EEPROM.readInt(82);
      Dosierung2_6.hour = EEPROM.readInt(84); 
      Dosierung2_6.min = EEPROM.readInt(86);
      Dosierung2_7.hour = EEPROM.readInt(88); 
      Dosierung2_7.min = EEPROM.readInt(90);
      Dosierung2_8.hour = EEPROM.readInt(92); 
      Dosierung2_8.min = EEPROM.readInt(94);
      Dosierung2_9.hour = EEPROM.readInt(96); 
      Dosierung2_9.min = EEPROM.readInt(98);
      Dosierung2_10.hour = EEPROM.readInt(100); 
      Dosierung2_10.min = EEPROM.readInt(102);
  
      //Dosierer 3
      Dosiermanuell_3 = EEPROM.readByte(104);
      Kalibrierung3 = EEPROM.readInt(105);
      Dosiernachfuell_3 = EEPROM.readByte(107);
      Dosiermenge3 = EEPROM.readLong(108);
      Dosierung3_1.hour = EEPROM.readInt(111);
      Dosierung3_1.min = EEPROM.readInt(113);
      Dosierung3_2.hour = EEPROM.readInt(114); 
      Dosierung3_2.min = EEPROM.readInt(117);
      Dosierung3_3.hour = EEPROM.readInt(119); 
      Dosierung3_3.min = EEPROM.readInt(121);
      Dosierung3_4.hour = EEPROM.readInt(123); 
      Dosierung3_4.min = EEPROM.readInt(125);
      Dosierung3_5.hour = EEPROM.readInt(127); 
      Dosierung3_5.min = EEPROM.readInt(129);
      Dosierung3_6.hour = EEPROM.readInt(131); 
      Dosierung3_6.min = EEPROM.readInt(133);
      Dosierung3_7.hour = EEPROM.readInt(135); 
      Dosierung3_7.min = EEPROM.readInt(137);
      Dosierung3_8.hour = EEPROM.readInt(139); 
      Dosierung3_8.min = EEPROM.readInt(141);
      Dosierung3_9.hour = EEPROM.readInt(143); 
      Dosierung3_9.min = EEPROM.readInt(145);
      Dosierung3_10.hour = EEPROM.readInt(147); 
      Dosierung3_10.min = EEPROM.readInt(149);
  
      //Dosierer 4
      Dosiermanuell_4 = EEPROM.readByte(151);
      Kalibrierung4 = EEPROM.readInt(152);
      Dosiernachfuell_4 = EEPROM.readByte(154);
      Dosiermenge4 = EEPROM.readLong(155);
      Dosierung4_1.hour = EEPROM.readInt(158);
      Dosierung4_1.min = EEPROM.readInt(160);
      Dosierung4_2.hour = EEPROM.readInt(162); 
      Dosierung4_2.min = EEPROM.readInt(164);
      Dosierung4_3.hour = EEPROM.readInt(166); 
      Dosierung4_3.min = EEPROM.readInt(168);
      Dosierung4_4.hour = EEPROM.readInt(170); 
      Dosierung4_4.min = EEPROM.readInt(172);
      Dosierung4_5.hour = EEPROM.readInt(174); 
      Dosierung4_5.min = EEPROM.readInt(176);
      Dosierung4_6.hour = EEPROM.readInt(178); 
      Dosierung4_6.min = EEPROM.readInt(180);
      Dosierung4_7.hour = EEPROM.readInt(182); 
      Dosierung4_7.min = EEPROM.readInt(184);
      Dosierung4_8.hour = EEPROM.readInt(186); 
      Dosierung4_8.min = EEPROM.readInt(188);
      Dosierung4_9.hour = EEPROM.readInt(190); 
      Dosierung4_9.min = EEPROM.readInt(192);
      Dosierung4_10.hour = EEPROM.readInt(194); 
      Dosierung4_10.min = EEPROM.readInt(196);
      
      /////////////////////////////////////////////////////////////////// N E U    H I N Z U G E F U E G T E    D O S I E R Z E I T E N ///////////////////////////////////////////////////////////////////////////////////////////////////
      Dosierung1_11.hour = EEPROM.readInt(198); 
      Dosierung1_11.min = EEPROM.readInt(200);
      Dosierung1_12.hour = EEPROM.readInt(202); 
      Dosierung1_12.min = EEPROM.readInt(204);
      
      Dosierung2_11.hour = EEPROM.readInt(206); 
      Dosierung2_11.min = EEPROM.readInt(208);
      Dosierung2_12.hour = EEPROM.readInt(210); 
      Dosierung2_12.min = EEPROM.readInt(212);
      
      Dosierung3_11.hour = EEPROM.readInt(214); 
      Dosierung3_11.min = EEPROM.readInt(216);
      Dosierung3_12.hour = EEPROM.readInt(218); 
      Dosierung3_12.min = EEPROM.readInt(220);
      
      Dosierung4_11.hour = EEPROM.readInt(222); 
      Dosierung4_11.min = EEPROM.readInt(224);
      Dosierung4_12.hour = EEPROM.readInt(226); 
      Dosierung4_12.min = EEPROM.readInt(228);
      /////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
  
    }

}





